@echo off

if "%processor_architecture%"=="AMD64" set infix=Wow6432Node\
if "%processor_architecture%"=="IA64" set infix=Wow6432Node\

for /f "tokens=3" %%s in ('reg query "HKEY_LOCAL_MACHINE\SOFTWARE\%infix%Plesk\PSA Config\Config\Packages\dnsserver" /ve') do echo %%s
